player_ranger_data_range Struct Reference

Data: range scan (PLAYER_RANGER_DATA_RANGE) More...

`#include <player_interfaces.h>`

## Public Attributes

uint32_t | ranges_count
| Number of range readings. More...
double * | ranges
| Range readings [m]. More...

## Detailed Description

Data: range scan (PLAYER_RANGER_DATA_RANGE)

The basic ranger scan data packet, containing a set of range readings.

## Member Data Documentation

double* player_ranger_data_range::ranges

Range readings [m].

uint32_t player_ranger_data_range::ranges_count

Number of range readings.

The documentation for this struct was generated from the following file:

- player_interfaces.h

Last updated 12 September 2005 21:38:45